package com.shinsoft.sto.mapper.main;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.shinsoft.sto.model.main.Cargo;
import com.shinsoft.sto.model.main.Customer;
import com.shinsoft.sto.model.main.Stack;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface StackMapper extends BaseMapper<Stack> {

//    int insert(Stack record);

    int insertSelective(Stack record);

    Stack selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(Stack record);

//    int updateByPrimaryKey(Stack record);

    Page<Stack> select(Page<Stack> page, @Param("query") String query, @Param("queryWare") String queryWare, @Param("belongId") String belongId);

    List<Stack> selectByWareId(String wareId, String areaid, String belongId);


    Stack selectByWareNameStackName(String wareName, String stackName, String userId, String belongId);
}